using eSuite.Core.MailService;
using NUnit.Framework;

namespace eSuite.Core.UnitTests;

[TestFixture]
public class MailTypeUnitTests
{
    [Test]
    public void MailType_ConfirmEmailAddress_Is0()
    {
        Assert.That((int)MailType.ConfirmEmailAddress, Is.EqualTo(0));
    }

    [Test]
    public void MailType_DisableAuthenticator_Is1()
    {
        Assert.That((int)MailType.DisableAuthenticator, Is.EqualTo(1));
    }

    [Test]
    public void MailType_PasswordReset_Is2()
    {
        Assert.That((int)MailType.PasswordReset, Is.EqualTo(2));
    }

    [Test]
    public void MailType_PasswordResetCompleted_Is3()
    {
        Assert.That((int)MailType.PasswordResetCompleted, Is.EqualTo(3));
    }
}